Messages

List Chat Messages

Returns messages from a chat conversation. Cursor-based pagination using the last message ID. Requires permission api_messages_list.

https://public-api.buffmetrics.com
GET/v1/{account_id}/chats/{user_id}/messages
Bearer

Authorization

default
AuthorizationBearer <token>

Send your FansMetric API key as a Bearer token in the Authorization header.

In: header

Path Parameters

  • account_id*integer

    OnlyFans numeric account ID.

  • user_id*integer

    Fan/user ID of the conversation.

Query Parameters

  • limitinteger

    Number of messages. Default 10. Min 1, max 100.

  • orderstring

    desc (default) or asc.

  • skip_usersstring

    all (default) or none.

  • idinteger

    Cursor — pass the last message's id from the previous page.

  • first_idinteger

    Include this message ID as the first result. Use with order=desc to jump to a specific message.

  • last_idinteger

    Include this message ID as the first result. Use with order=asc. Note: response list order is also inverted.

  • filterstring

    Currently only pinned is supported.

curl --request GET "https://public-api.buffmetrics.com/v1/acct_XXXXX/chats/sample_user_id/messages?limit=20&order=desc&skip_users=sample_skip_users" \
  --header "Authorization: Bearer YOUR_API_KEY"

Response

200
{
"data":{
"list":[
0:{
"responseType":"message"
"id":1000000000001
"text":"<p>Hello!</p>"
"giphyId":null
"lockedText":false
"isFree":true
"price":0
"mediaCount":0
"media":[]
"previews":[]
"isTip":false
"isLiked":false
"isPinned":false
"canBePinned":true
"isFromQueue":false
"fromUser":{
"id":100000001
"_view":"t"
}
"createdAt":"2026-05-15T10:00:00+00:00"
"changedAt":"2026-05-15T10:00:00+00:00"
"cancelSeconds":0
"isOpened":false
"isNew":false
}
]
"hasMore":true
}
"_pagination":{
"next_page":"/v1/10000001/chats/100000002/messages?limit=10&order=desc&skip_users=all&id=1000000000001"
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":994
"limit_day":50000
"remaining_day":49994
}
}
}